- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Static Public Attributes

# FbxSubDiv Class Reference

Search for all occurrences

## Detailed Description

Definition at line 35 of file fbxsubdiv.h.

`#include <fbxsubdiv.h>`

Inheritance diagram for FbxSubDiv:
[legend]

List of all members.

## Public Types
enum | EScheme { eCatmullClark, eDooCSabin, eLoop, eLinear }
enum | ETesselationPattern { eOddFractional, eEvenFractional, eInteger, ePower2 }
enum | EDisplaySmoothness { eHull, eRough, eMedium, eFine }
## Public Member Functions
void | InitSubdivLevel (int pLevelCount, EScheme pScheme=eCatmullClark, ETesselationPattern pPattern=ePower2)
| InitSubdivLevel Initialize the subdiv.
| FbxSubDiv (FbxManager &pManager, char const *pName)
virtual void | Destruct (bool pRecursive, bool pDependents)
virtual FbxNodeAttribute::EType | GetAttributeType () const
| Returns the node attribute type.
FbxMesh * | GetBaseMesh () const
FbxMesh * | GetFinestMesh () const
bool | SetFinestMesh (FbxMesh *pMesh)
bool | SetBaseMesh (FbxMesh *pMesh)
FbxMesh * | GetMesh (int pLevel) const
void | SetSubdivLevelMesh (int pLevel, FbxMesh *pMesh)
| SetSubdivLevelMesh Set certain subdivision mesh.
int | GetLevelCount () const
void | SetLevelCount (int pLevelCount)
int | GetCurrentLevel () const
void | SetCurrentLevel (int pCurrentLevel)
FbxMesh * | GetCurrentMesh () const
FbxSubDiv::EScheme | GetSubdivScheme () const
FbxSubDiv::ETesselationPattern | GetTessPattern () const
void | SetSubdivScheme (FbxSubDiv::EScheme pScheme)
void | SetTessPattern (FbxSubDiv::ETesselationPattern pPattern)
FbxSubDiv::EDisplaySmoothness | GetDisplaySmoothness () const
void | SetDisplaySmoothness (FbxSubDiv::EDisplaySmoothness pSmoothness)
## Public Attributes
FbxArray< FbxMesh * > | mSubDivLevel
## Static Public Attributes
static const int | MAX_SUBDIV_LEVEL = 16

## Member Enumeration Documentation

enum EScheme

Search for all occurrences

Enumerator:

  eCatmullClark | Search for all occurrences
  eDooCSabin | Search for all occurrences
  eLoop | Search for all occurrences
  eLinear | Search for all occurrences

Definition at line 40 of file fbxsubdiv.h.

        {
            eCatmullClark,  //Catmull CClark subdivision surface
            eDooCSabin,      //Doo CSabin subdivision surface
            eLoop,           //Loop subdivision surface
            eLinear,         //Linear subdivision surface
        };

enum ETesselationPattern

Search for all occurrences

Enumerator:

  eOddFractional | Search for all occurrences
  eEvenFractional | Search for all occurrences
  eInteger | Search for all occurrences
  ePower2 | Search for all occurrences

Definition at line 48 of file fbxsubdiv.h.

        {
            eOddFractional,
            eEvenFractional,
            eInteger,
            ePower2,      //Max, Maya use this one
        };

enum EDisplaySmoothness

Search for all occurrences

Enumerator:

  eHull | Search for all occurrences
  eRough | Search for all occurrences
  eMedium | Search for all occurrences
  eFine | Search for all occurrences

Definition at line 56 of file fbxsubdiv.h.

        {
            eHull,
            eRough,
            eMedium,
            eFine,
        };

## Constructor & Destructor Documentation

FbxSubDiv | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  |

## Member Function Documentation

void InitSubdivLevel | ( | int | pLevelCount,
|  | EScheme | pScheme = `eCatmullClark`,
|  | ETesselationPattern | pPattern = `ePower2`
| ) |  |

Search for all occurrences

InitSubdivLevel Initialize the subdiv.

Parameters:

  pLevelCount | number of levels
  pScheme | subdivision scheme
  pPattern | Tessellation pattern

virtual void Destruct | ( | bool | pRecursive,
|  | bool | pDependents
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from FbxGeometry.

virtual FbxNodeAttribute::EType GetAttributeType | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns the node attribute type.

This method is derived in the more high level classes (FbxMesh, FbxNurbs, etc...) and returns the actual type of the geometry object.

Returns:
  eUnknown

Reimplemented from FbxGeometry.

FbxMesh* GetBaseMesh | ( |  | ) | const

Search for all occurrences

FbxMesh* GetFinestMesh | ( |  | ) | const

Search for all occurrences

bool SetFinestMesh | ( | FbxMesh * | pMesh | ) |

Search for all occurrences

bool SetBaseMesh | ( | FbxMesh * | pMesh | ) |

Search for all occurrences

FbxMesh* GetMesh | ( | int | pLevel | ) | const

Search for all occurrences

void SetSubdivLevelMesh | ( | int | pLevel,
|  | FbxMesh * | pMesh
| ) |  |

Search for all occurrences

SetSubdivLevelMesh Set certain subdivision mesh.

Parameters:

  pLevel | working level
  pMesh | new level mesh. pLevel = 0 means base mesh, pLevel = MaxLevel -1 means finest mesh

int GetLevelCount | ( |  | ) | const

Search for all occurrences

void SetLevelCount | ( | int | pLevelCount | ) |

Search for all occurrences

int GetCurrentLevel | ( |  | ) | const

Search for all occurrences

void SetCurrentLevel | ( | int | pCurrentLevel | ) |

Search for all occurrences

FbxMesh* GetCurrentMesh | ( |  | ) | const

Search for all occurrences

FbxSubDiv::EScheme GetSubdivScheme | ( |  | ) | const

Search for all occurrences

FbxSubDiv::ETesselationPattern GetTessPattern | ( |  | ) | const

Search for all occurrences

void SetSubdivScheme | ( | FbxSubDiv::EScheme | pScheme | ) |

Search for all occurrences

void SetTessPattern | ( | FbxSubDiv::ETesselationPattern | pPattern | ) |

Search for all occurrences

FbxSubDiv::EDisplaySmoothness GetDisplaySmoothness | ( |  | ) | const

Search for all occurrences

void SetDisplaySmoothness | ( | FbxSubDiv::EDisplaySmoothness | pSmoothness | ) |

Search for all occurrences

## Member Data Documentation

const int MAX_SUBDIV_LEVEL = 16 `[static]`

Search for all occurrences

Definition at line 81 of file fbxsubdiv.h.

FbxArray<FbxMesh*> mSubDivLevel

Search for all occurrences

Definition at line 84 of file fbxsubdiv.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/geometry/fbxsubdiv.h

FbxSubDiv FbxSubDiv FbxSubDiv FbxSubDiv FbxSubDiv FbxSubDiv FbxSubDiv FbxSubDiv FbxSubDiv FbxSubDiv
FbxSubDiv FbxSubDiv FbxSubDiv FbxSubDiv FbxSubDiv FbxSubDiv FbxSubDiv FbxSubDiv FbxSubDiv FbxSubDiv